/* =========================
   Floor 2 – Rooms
   ========================= */

.room-2-1 {
    position: absolute;
    top: 12.5%;
    left: 47.15%;
    width: 5.9%;
    height: 4.8%;
}

.room-2-2 {
    position: absolute;
    top: 16.3%;
    left: 63.5%;
    width: 3.9%;
    height: 26.8%;
}

.room-2-3 {
    position: absolute;
    top: 21%;
    left: 53%;
    width: 3.9%;
    height: 3.2%;
}

.room-2-4 {
    position: absolute;
    top: 27%;
    left: 47%;
    width: 9.9%;
    height: 9.5%;
}

.room-2-5 {
    position: absolute;
    top: 60.5%;
    left: 27%;
    width: 3.9%;
    height: 4%;
}

.room-2-6 {
    position: absolute;
    top: 61.5%;
    left: 42.5%;
    width: 15.4%;
    height: 7.6%;
}

.room-2-7 {
    position: absolute;
    top: 17.5%;
    left: 35.5%;
    width: 11.7%;
    height: 11.4%;
}

.room-2-8 {
    position: absolute;
    top: 21%;
    left: 26%;
    width: 5.9%;
    height: 6%;
}

.room-2-9 {
    position: absolute;
    top: 11.5%;
    left: 26%;
    width: 7.9%;
    height: 8%;
}

.room-2-10 {
    position: absolute;
    top: 13.5%;
    left: 18.4%;
    width: 7.5%;
    height: 13.5%;
}

.room-2-11 {
    position: absolute;
    top: 27.1%;
    left: 20.3%;
    width: 9.6%;
    height: 8.3%;
}

.room-2-12 {
    position: absolute;
    top: 30.7%;
    left: 30%;
    width: 9.4%;
    height: 7.8%;
}

.room-2-13 {
    position: absolute;
    top: 38.7%;
    left: 31.7%;
    width: 6%;
    height: 11.1%;
}

.room-2-14 {
    position: absolute;
    top: 50%;
    left: 29.7%;
    width: 8%;
    height: 4%;
}

.room-2-15 {
    position: absolute;
    top: 46%;
    left: 19.3%;
    width: 8.7%;
    height: 9%;
}

.room-2-16 {
    position: absolute;
    top: 35.5%;
    left: 17.3%;
    width: 12.6%;
    height: 10.3%;
}

.room-2-17 {
    position: absolute;
    top: 38.5%;
    left: 9.6%;
    width: 7.6%;
    height: 5.8%;
}

.room-2-18 {
    position: absolute;
    top: 47%;
    left: 9.6%;
    width: 6%;
    height: 9.8%;
}

.room-2-19 {
    position: absolute;
    top: 25%;
    left: 7.6%;
    width: 8%;
    height: 11.6%;
}

.room-2-20 {
    position: absolute;
    top: 32.6%;
    left: 3.8%;
    width: 4%;
    height: 18.4%;
}

.room-2-21 {
    position: absolute;
    top: 66.3%;
    left: 58%;
    width: 7.5%;
    height: 7.7%;
}

.room-2-22 {
    position: absolute;
    top: 72%;
    left: 52%;
    width: 7.5%;
    height: 5.8%;
}

.room-2-23 {
    position: absolute;
    top: 64.5%;
    left: 65.6%;
    width: 11.5%;
    height: 5.8%;
}

.room-2-24 {
    position: absolute;
    top: 56.7%;
    left: 80.8%;
    width: 5.8%;
    height: 7.8%;
}

.room-2-25 {
    position: absolute;
    top: 68.2%;
    left: 80.8%;
    width: 5.8%;
    height: 5.3%;
}

.room-2-26 {
    position: absolute;
    top: 71%;
    left: 38.5%;
    width: 7.8%;
    height: 7.9%;
}

.room-2-27 {
    position: absolute;
    top: 69%;
    left: 27%;
    width: 5.8%;
    height: 9.9%;
}

.room-2-28 {
    position: absolute;
    top: 69%;
    left: 21.2%;
    width: 4%;
    height: 5.9%;
}

.room-2-29a {
    position: absolute;
    top: 71%;
    left: 34.7%;
    width: 3.5%;
    height: 11.6%;
}

.room-2-29b {
    position: absolute;
    top: 80.6%;
    left: 37.7%;
    width: 6.6%;
    height: 2%;
}

.room-2-30 {
    position: absolute;
    top: 84.6%;
    left: 36.7%;
    width: 7.6%;
    height: 7.7%;
}

.room-2-31 {
    position: absolute;
    top: 50.8%;
    left: 82.7%;
    width: 5.9%;
    height: 5.8%;
}

.room-2-32 {
    position: absolute;
    top: 49%;
    left: 75%;
    width: 5.9%;
    height: 5.8%;
}
